FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           =  (2.0/Pi)**(0.75) 

sto(x) =  1.0 / (Pi * 3.0)**(0.5) * x**2 * exp(-x) * 2 * Pi**(0.5)

a2  = 0.1292278611
a4  = 0.0490858421 

a1  = 0.7470867124
a3  = 0.2855980556

f1(x)  =  a1  * N * ( a2  )**(0.75) * x * exp(-(a2  * x**2)) * 2.0 * Pi**(0.5)
f2(x)  =  a3  * N * ( a4  )**(0.75) * x * exp(-(a4  * x**2)) * 2.0 * Pi**(0.5)

fit_gto(x) = f1(x) + f2(x)

fit fit_gto(x) "sto-2s.dat" using 1:2 via a1, a3, a2, a4
