FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 8.0 * 2**(0.75) / ( 15.0**(0.5) * Pi**(0.25) )

                a2  =    0.2777427345
                a1  =    0.4666137923

                a4  =    0.0833650771
                a3  =    0.6644706516

f1(x)  =  a1  * N * ( a2  )**(1.75) * x**3 * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(1.75) * x**3 * exp(-(a4  * x**2))

fit_gto(x) = f1(x) + f2(x)

fit fit_gto(x) "sto-3d.dat" using 1:2 via a1, a3, a2, a4

