FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 4 * 2**(0.75) / ( 3**(0.5) * Pi**(0.25) )

		a2  =    0.9192379002
		a1  =    0.1623948553

		a4  =    0.2359194503
		a3  =    0.5661708862

		a6  =    0.0800980575
		a5  =    0.4223071752

f1(x)  =  a1  * N * ( a2  )**(1.25) * x**2 * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(1.25) * x**2 * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(1.25) * x**2 * exp(-(a6  * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x)

fit fit_gto(x) "sto-2p.dat" using 1:2 via a2, a4, a6, a1, a3, a5

