FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 2.0 * 2.0**(0.75) / Pi**(0.25) 

		a2 =    1.5132655910
		a1 =   -0.0329549635
		a4 =    0.4262497508
		a3 =   -0.1724516959
		a6 =    0.0764332086
		a5 =    0.7518511194
		a8 =    0.0376054506
		a7 =    0.3589627317

f1(x)  =  a1  * N * ( a2  )**(0.75) * x * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(0.75) * x * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(0.75) * x * exp(-(a6  * x**2))
f4(x)  =  a7  * N * ( a8  )**(0.75) * x * exp(-(a8  * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x)

fit fit_gto(x) "sto-3s.dat" using 1:2 via a1, a3, a5, a7, a2, a4, a6, a8
