FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 8.0 * 2**(0.75) / ( 15.0**(0.5) * Pi**(0.25) )

                a2   =    1.5390339580
                a1   =    0.0202086913
                a4   =    0.4922090297
                a3   =    0.1321157923
                a6   =    0.2029756928
                a5   =    0.3911240346
                a8   =    0.0942411292
                a7   =    0.4779609701
                a10  =    0.0456905827
                a9   =    0.1463662294

f1(x)  =  a1  * N * ( a2  )**(1.75) * x**3 * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(1.75) * x**3 * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(1.75) * x**3 * exp(-(a6  * x**2))
f4(x)  =  a7  * N * ( a8  )**(1.75) * x**3 * exp(-(a8  * x**2))
f5(x)  =  a9  * N * ( a10 )**(1.75) * x**3 * exp(-(a10 * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x) + f5(x)

fit fit_gto(x) "sto-3d.dat" using 1:2 via a1, a3, a5, a7, a9, a2, a4, a6, a8, a10

