FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 2.0 * 2.0**(0.75) / Pi**(0.25) 

		a2 =    4.2758779140
		a1 =   -0.0039203588

		a4 =    1.1324094330
		a3 =   -0.0416843051

		a6 =    0.4016256968
		a5 =   -0.1637440990

		a8 =    0.0773237062
		a7 =    0.7419373723

		a10 =    0.0380070863
		a9  =    0.3724364929

f1(x)  =  a1  * N * ( a2  )**(0.75) * x * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(0.75) * x * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(0.75) * x * exp(-(a6  * x**2))
f4(x)  =  a7  * N * ( a8  )**(0.75) * x * exp(-(a8  * x**2))
f5(x)  =  a9  * N * ( a10 )**(0.75) * x * exp(-(a10 * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x) + f5(x)

fit fit_gto(x) "sto-3s.dat" using 1:2 via a1, a3, a5, a7, a9, a2, a4, a6, a8, a10
