FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           =  (2.0/Pi)**(0.75) 

sto(x) =  1.0 / (Pi * 3.0)**(0.5) * x**2 * exp(-x) * 2 * Pi**(0.5)

a2    =   27.6849624100
a4    =    5.0771406270
a6    =    1.4267860500
a8    =    0.2040335729
a10   =    0.0926029840
a12   =    0.0441618398

a1  =   -0.0041512778
a3  =   -0.0206702415
a5  =   -0.0515030334
a7  =    0.3346271174
a9  =    0.5621061301
a11 =    0.1712994697

f1(x)  =  a1  * N * ( a2  )**(0.75) * x * exp(-(a2  * x**2)) * 2.0 * Pi**(0.5)
f2(x)  =  a3  * N * ( a4  )**(0.75) * x * exp(-(a4  * x**2)) * 2.0 * Pi**(0.5)
f3(x)  =  a5  * N * ( a6  )**(0.75) * x * exp(-(a6  * x**2)) * 2.0 * Pi**(0.5)
f4(x)  =  a7  * N * ( a8  )**(0.75) * x * exp(-(a8  * x**2)) * 2.0 * Pi**(0.5)
f5(x)  =  a9  * N * ( a10 )**(0.75) * x * exp(-(a10 * x**2)) * 2.0 * Pi**(0.5)
f6(x)  =  a11 * N * ( a12 )**(0.75) * x * exp(-(a12 * x**2)) * 2.0 * Pi**(0.5)

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x) + f5(x) + f6(x) 

fit fit_gto(x) "sto-2s.dat" using 1:2 via a1, a3, a5, a7, a9,  a11, a2, a4, a6, a8, a10, a12
