FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 4 * 2**(0.75) / ( 3**(0.5) * Pi**(0.25) )

                a2      =    5.0779736070
                a4      =    1.3407869400
                a6      =    0.2248434849
                a8      =    0.1131741848
                a10     =    0.0607640889
                a12     =    0.0331542426

                a1   =   -0.0033299298
                a3   =   -0.0141948834
                a5   =    0.1639395770
                a7   =    0.4485358256
                a9   =    0.3908813050
                a11  =    0.0741145623

f1(x)  =  a1  * N * ( a2  )**(1.25) * x**2 * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(1.25) * x**2 * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(1.25) * x**2 * exp(-(a6  * x**2))
f4(x)  =  a7  * N * ( a8  )**(1.25) * x**2 * exp(-(a8  * x**2))
f5(x)  =  a9  * N * ( a10 )**(1.25) * x**2 * exp(-(a10 * x**2))
f6(x)  =  a11 * N * ( a12 )**(1.25) * x**2 * exp(-(a12 * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x) + f5(x) + f6(x)

fit fit_gto(x) "sto-3p.dat" using 1:2 via a1, a3, a5, a7, a9,  a11, a2, a4, a6, a8, a10, a12
