FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 4.0 / 3.0 * 2.0**(0.75) * 3.0**(0.5) / Pi**(0.25)

a2 = 0.561441
a4 = 2.619085
a6 = 0.302490
a8 = 0.160303
a10 = 0.055397
a12 = 0.034384
a14 = 0.021253

a1 = -0.002647
a3 = 0.000201
a5 = -0.037799
a7 = -0.131905
a9 = 0.530330
a11 = 0.507701
a13 = 0.074630

f1(x)  =  a1  * N * ( a2  )**(1.25) * x**2 * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(1.25) * x**2 * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(1.25) * x**2 * exp(-(a6  * x**2))
f4(x)  =  a7  * N * ( a8  )**(1.25) * x**2 * exp(-(a8  * x**2))
f5(x)  =  a9  * N * ( a10 )**(1.25) * x**2 * exp(-(a10 * x**2))
f6(x)  =  a11 * N * ( a12 )**(1.25) * x**2 * exp(-(a12 * x**2))
f7(x)  =  a13 * N * ( a14 )**(1.25) * x**2 * exp(-(a14 * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x) + f5(x) + f6(x) + f7(x)

fit fit_gto(x) "sto-5p.dat" using 1:2 via a1, a3, a5, a7, a9,  a11, a13, a2, a4, a6, a8, a10, a12, a14
