FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           =  (2.0/Pi)**(0.75) 

sto(x) =  1.0 / (Pi * 3.0)**(0.5) * x**2 * exp(-x) * 2 * Pi**(0.5)

a1              = -0.00138091      # +/- 7.393e-06    (0.5354%)
a3              = -0.00741222      # +/- 2.566e-05    (0.3461%)
a5              = -0.0246644       # +/- 4.624e-05    (0.1875%)
a7              = -0.0466298       # +/- 4.539e-05    (0.09733%)
a9              = 0.227623         # +/- 0.001005     (0.4416%)
a11             = 0.470468         # +/- 0.001277     (0.2714%)
a13             = 0.32413          # +/- 0.00143      (0.4413%)
a15             = 0.0495238        # +/- 0.0008334    (1.683%)
a2              = 67.647           # +/- 0.3339       (0.4936%)
a4              = 12.4085          # +/- 0.0396       (0.3191%)
a6              = 3.48683          # +/- 0.00782      (0.2243%)
a8              = 1.22095          # +/- 0.001511     (0.1238%)
a10             = 0.231493         # +/- 0.000301     (0.13%)
a12             = 0.117223         # +/- 0.0002802    (0.239%)
a14             = 0.0627893        # +/- 0.000194     (0.309%)
a16             = 0.0340576        # +/- 0.0001147    (0.3367%)

f1(x)  =  a1  * N * ( a2  )**(0.75) * x * exp(-(a2  * x**2)) * 2.0 * Pi**(0.5)
f2(x)  =  a3  * N * ( a4  )**(0.75) * x * exp(-(a4  * x**2)) * 2.0 * Pi**(0.5)
f3(x)  =  a5  * N * ( a6  )**(0.75) * x * exp(-(a6  * x**2)) * 2.0 * Pi**(0.5)
f4(x)  =  a7  * N * ( a8  )**(0.75) * x * exp(-(a8  * x**2)) * 2.0 * Pi**(0.5)
f5(x)  =  a9  * N * ( a10 )**(0.75) * x * exp(-(a10 * x**2)) * 2.0 * Pi**(0.5)
f6(x)  =  a11 * N * ( a12 )**(0.75) * x * exp(-(a12 * x**2)) * 2.0 * Pi**(0.5)
f7(x)  =  a13 * N * ( a14 )**(0.75) * x * exp(-(a14 * x**2)) * 2.0 * Pi**(0.5)
f8(x)  =  a15 * N * ( a16 )**(0.75) * x * exp(-(a16 * x**2)) * 2.0 * Pi**(0.5)

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x) + f5(x) + f6(x) + f7(x) + f8(x)

fit fit_gto(x) "sto-2s.dat" using 1:2 via a1, a3, a5, a7, a9,  a11, a13, a15, a2, a4, a6, a8, a10, a12, a14, a16
