FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 16.0 * 2**(0.75) / ( 105.0**(0.5) * Pi**(0.25) )

a1              = 0.00791387       # +/- 2.932e-05    (0.3704%)
a3              = 0.0540996        # +/- 3.146e-05    (0.05816%)
a5              = 0.222874         # +/- 2.978e-05    (0.01336%)
a7              = 0.438344         # +/- 3.182e-05    (0.007259%)
a9              = 0.371032         # +/- 2.702e-05    (0.007281%)
a11             = 0.0752823        # +/- 1.369e-05    (0.01819%)
a13             = 0.00330853       # +/- 1.744e-05    (0.5272%)
a15             = 0.000176077      # +/- 8.28e-06     (4.703%)

a2              = 0.858803         # +/- 0.001071     (0.1247%)
a4              = 0.4795           # +/- 0.0001063    (0.02218%)
a6              = 0.227766         # +/- 1.124e-05    (0.004935%)
a8              = 0.116947         # +/- 3.281e-06    (0.002806%)
a10             = 0.0633805        # +/- 1.889e-06    (0.00298%)
a12             = 0.0342578        # +/- 4.232e-06    (0.01235%)
a14             = 1.68956          # +/- 0.005326     (0.3153%)
a16             = 4.36143          # +/- 0.0659       (1.511%)

f1(x)  =  a1  * N * ( a2  )**(2.25) * x**4 * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(2.25) * x**4 * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(2.25) * x**4 * exp(-(a6  * x**2))
f4(x)  =  a7  * N * ( a8  )**(2.25) * x**4 * exp(-(a8  * x**2))
f5(x)  =  a9  * N * ( a10 )**(2.25) * x**4 * exp(-(a10 * x**2))
f6(x)  =  a11 * N * ( a12 )**(2.25) * x**4 * exp(-(a12 * x**2))
f7(x)  =  a13 * N * ( a14 )**(2.25) * x**4 * exp(-(a14 * x**2))
f8(x)  =  a15 * N * ( a16 )**(2.25) * x**4 * exp(-(a16 * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x) + f5(x) + f6(x) + f7(x) + f8(x)

fit fit_gto(x) "sto-4f.dat" using 1:2 via a1, a3, a5, a7, a9,  a11, a13, a15, a2, a4, a6, a8, a10, a12, a14, a16

#fit fit_gto(x) "sto-4f.dat" using 1:2 via a2, a4, a6, a8, a10, a12, a14, a16
#fit fit_gto(x) "sto-4f.dat" using 1:2 via a1, a3, a5, a7, a9,  a11, a13, a15
