! objects for pure diffusion Monte Carlo
!---------------------------------------

objects

el_time_int    = real ( time_int(history(-E_T+el,6400)))
pdmc_weight    = real (exp ( -time_step * (el_time_int))) ! Feyman Kac weight

pdmc_w_10      =    real (slice(pdmc_weight,10))
pdmc_w_50      =    real (slice(pdmc_weight,50))
pdmc_w_100     =    real (slice(pdmc_weight,100))
pdmc_w_200     =    real (slice(pdmc_weight,200))
pdmc_w_400     =    real (slice(pdmc_weight,400))
pdmc_w_600     =    real (slice(pdmc_weight,600))
pdmc_w_700     =    real (slice(pdmc_weight,700))
pdmc_w_750     =    real (slice(pdmc_weight,750))
pdmc_w_800     =    real (slice(pdmc_weight,800))
pdmc_w_1600    =    real (slice(pdmc_weight,1600))
pdmc_w_3200    =    real (slice(pdmc_weight,3200))
pdmc_w_6400    =    real (slice(pdmc_weight,6400))

energy_pdmc_10     = real (av(blk(el*pdmc_w_10))/av(blk( pdmc_w_10)))
energy_pdmc_50     = real (av(blk(el*pdmc_w_50))/av(blk( pdmc_w_50)))
energy_pdmc_100    = real (av(blk(el*pdmc_w_100))/av(blk( pdmc_w_100)))
energy_pdmc_200    = real (av(blk(el*pdmc_w_200))/av(blk( pdmc_w_200)))
energy_pdmc_400    = real (av(blk(el*pdmc_w_400))/av(blk( pdmc_w_400)))
energy_pdmc_600    = real (av(blk(el*pdmc_w_600))/av(blk( pdmc_w_600)))
energy_pdmc_700    = real (av(blk(el*pdmc_w_700))/av(blk( pdmc_w_700)))
energy_pdmc_750    = real (av(blk(el*pdmc_w_750))/av(blk( pdmc_w_750)))
energy_pdmc_800    = real (av(blk(el*pdmc_w_800))/av(blk( pdmc_w_800)))
energy_pdmc_1600   = real (av(blk(el*pdmc_w_1600))/av(blk( pdmc_w_1600)))
energy_pdmc_3200   = real (av(blk(el*pdmc_w_3200))/av(blk( pdmc_w_3200)))
energy_pdmc_6400   = real (av(blk(el*pdmc_w_6400))/av(blk( pdmc_w_6400)))
end_obj
