* ==================================================================== *
      subroutine CNVDBL (String, value)
* -------------------------------------------------------------------- *
*
* Comments: Converts a string into a real*8 value
*
* author:F.Colonna
* date  :20 Dec 89
*--------------------------------------------------------------------- *
*
      implicit none
* i/o scalars:
      character*(*) String
      character*(30) Stemp
      double precision value
* local scalars:
      integer lenstr

* begin:
      lenstr= len_trim (String)

      if(lenstr.gt.0) then
         Stemp = '                               '
         Stemp(31-lenstr:30) = String(1:lenstr)
         read(Stemp,'(D30.0)',err=999) value
      else if(lenstr.lt.0) then
         write(6,'(a,i10)')
     . ' error_CNVDBL> string length =',lenstr
         stop ' error_CNVDBL> string length < 0'
      else
         write(6,'(a)')
     . ' warning_CNVDBL> zero length string. converted to 0.d0'
         value = 0.d0
      end if
      return
 999  continue
      write(6,'(3a)')
     .' warning_CNVDBL> conversion error for string "',
     . String(1:lenstr),'" converted to 1.d+99'

* end of routine CNVDBL
      end
