

ccc matrice a de dimension n*n stockee physiquement
ccc dans du np*np,d valeurs propres, colonnes de v: vecteurs propres
ccc en sortie d = tv a v avec tvv =Id
      subroutine jacobi(a,n,np,d,v,nrot)
      implicit double precision (a-h,o-z)
      integer nmax
      parameter (nmax=1000)
      double precision  a(np,np),d(np),v(np,np),b(nmax),z(nmax)
      double precision  work (n,n)
      integer :: ip,iq,i
      work = a(1:n,1:n)
      if(nmax.lt.np) stop 'nmax trop petit dans jacobi'
      do 12 ip=1,n
        do 11 iq=1,n
          v(ip,iq)=0.d0
 11             continue
        v(ip,ip)=1.d0
 12         continue
      do 13 ip=1,n
        b(ip)=work(ip,ip)
        d(ip)=b(ip)
        z(ip)=0.d0
 13         continue
      nrot=0
      do 24 i=1,50
        sm=0.d0
        do 15 ip=1,n-1
          do 14 iq=ip+1,n
            sm=sm+dabs(work(ip,iq))
 14                 continue
 15                       continue
        if(sm.eq.0.)return
        if(i.lt.4)then
          tresh=0.2d0*sm/n**2
        else
          tresh=0.d0
        endif
        do 22 ip=1,n-1
          do 21 iq=ip+1,n
            g=100.d0*dabs(work(ip,iq))
            if((i.gt.4).and.(dabs(d(ip))+g.eq.dabs(d(ip)))
     *         .and.(dabs(d(iq))+g.eq.dabs(d(iq))))then
               work(ip,iq)=0.d0
            else if(dabs(work(ip,iq)).gt.tresh)then
              h=d(iq)-d(ip)
              if(dabs(h)+g.eq.dabs(h))then
                t=work(ip,iq)/h
              else
                theta=0.5d0*h/work(ip,iq)
                t=1.d0/(dabs(theta)+dsqrt(1.d0+theta**2))
                if(theta.lt.0.d0)t=-t
              endif
              c=1.d0/dsqrt(1.d0+t**2)
              s=t*c
              tau=s/(1.d0+c)
              h=t*work(ip,iq)
              z(ip)=z(ip)-h
              z(iq)=z(iq)+h
              d(ip)=d(ip)-h
              d(iq)=d(iq)+h
              work(ip,iq)=0.d0
              do 16 j=1,ip-1
                g=work(j,ip)
                h=work(j,iq)
                work(j,ip)=g-s*(h+g*tau)
                work(j,iq)=h+s*(g-h*tau)
 16                        continue
              do 17 j=ip+1,iq-1
                g=work(ip,j)
                h=work(j,iq)
                work(ip,j)=g-s*(h+g*tau)
                work(j,iq)=h+s*(g-h*tau)
 17                         continue
              do 18 j=iq+1,n
                g=work(ip,j)
                h=work(iq,j)
                work(ip,j)=g-s*(h+g*tau)
                work(iq,j)=h+s*(g-h*tau)
 18                         continue
              do 19 j=1,n
                g=v(j,ip)
                h=v(j,iq)
                v(j,ip)=g-s*(h+g*tau)
                v(j,iq)=h+s*(g-h*tau)
 19                         continue
              nrot=nrot+1
            endif
 21                 continue
 22                       continue
        do 23 ip=1,n
          b(ip)=b(ip)+z(ip)
          d(ip)=b(ip)
          z(ip)=0.d0
 23             continue
 24                 continue
      pause '50 iterations should never happen'
      return
      end

ccc subroutine a appeller apres jacobi 
ccc pour avoir les valeurs propres ordonnees

      subroutine eigsrt(d,v,n,np)
      implicit double precision (a-h,o-z)
      dimension d(np),v(np,np)
      do 13 i=1,n-1
        k=i
        p=d(i)
        do 11 j=i+1,n
          if(d(j).lt.p)then
            k=j
            p=d(j)
          endif
 11             continue
        if(k.ne.i)then
          d(k)=d(i)
          d(i)=p
          do 12 j=1,n
            p=v(j,i)
            v(j,i)=v(j,k)
            v(j,k)=p
 12                 continue
        endif
 13         continue
      return
      end







