* ==================================================================== *
      function NUMEXC (string)
* -------------------------------------------------------------------- *
*
* Comments: true if string is pure NUMERICAL EXPRESSION :
* Comments: contains only sub-set of : (*-)/+0123456789.DEFRdef
*
* author:F.Colonna
* date  :03 Aug 92
* -------------------------------------------------------------------- *
      implicit none
* input scalars:
      character*(*)  string
* local
      integer char, lenstr, prim
      character*(512) stemp
      logical locdbg
      logical NUMEXC 

* begin: 
      locdbg=.true.
      locdbg = .false.
 
      if(locdbg) then
          call sizstr (string, prim, lenstr)
          write(6,'(3a)')
     .' debug_NUMEXC> input string :',string(1:lenstr),'"'
      end if
 
      call RMVBLK (string, stemp, lenstr)

* first or last character must NOT be 'defDEF'
      if     (index('defDEF',stemp(1:1)).ne.0) then
        NUMEXC = .false.
      else if(index('defDEF',stemp(lenstr:lenstr)).ne.0) then
        NUMEXC = .false.
      else
        NUMEXC = .true.
        do char =1, lenstr
         NUMEXC = NUMEXC .and.
     .      index('(*-)/+0123456789.defDEF', stemp(char:char)).ne.0
        end do
      end if
 
      if(locdbg) then
        write(6,'(a,l1)')
     .' debug_NUMEXC> numexc :',NUMEXC
      end if
 
* end of routine NUMEXC
      return
      end
