* ==================================================================== *
      subroutine OUTSMPLX (indmin,   !. input index of minimum
     .                   smpver,   !. Vertices matrix at initial Jumps
     .                   smpval,   !. Vertices matrix at initial Jumps
     .                   vroval,   !. output
     .                   FuncOpt,   !. output
     .                   nbvert,
     .                   nbvaro)
* -------------------------------------------------------------------- *
*
*     OUTSMPLX: Simplex  output
*
* author:FCC
* done on 16 Dec 91
* -------------------------------------------------------------------- *
*
      implicit none
* includes:

* input scalars:
      integer nbvaro, nbvert

* input arrays:
      double precision smpver (nbvert, nbvaro)
      double precision smpval (nbvert)

* output arrays:
      double precision vroval (nbvaro)

* output scalars:
      double precision FuncOpt

* local scalars:
      integer varopt, indmin, vert

* begin:
*     print *,' outsmplx: indmin # ',indmin
      FuncOpt = smpval (indmin)

      do vert=1, nbvert
*        print *,' outsmplx: vert # ',vert,' value =',smpval(vert)
      do varopt=1, nbvaro
         vroval (varopt) = smpver (vert, varopt)
*        print *,' outsmplx: vert # ',vert,' variable =',varopt,
*    .           ' Value=',smpver(vert,varopt)
      end do
      end do

      do varopt=1, nbvaro
         vroval (varopt) = smpver (indmin, varopt)
         print *,' outsmplx: vroval # ',varopt,' = ',vroval(varopt)
      end do

      write (6,'(a,f20.7)')
     .' OUTSMPLX: Optimal Value=',FuncOpt
      write (6,'(a,(5g15.7))')' OUTSMPLX: variables:',
     .( vroval (varopt), varopt=1,nbvaro)

* end of routine OUTSMPLX
      return
      end
