* ==================================================================== *
      subroutine RMVBLK (Istring,   !. input
     .                   Ostring,   !. output
     .                   newlen)    !. output
* -------------------------------------------------------------------- *
*
* Comments: Removes all blanks in a string
*
* -------------------------------------------------------------------- *
*
* includes:
      implicit none
* i/o     :
      character*(*) Istring, Ostring
      integer newlen
* local   :
      logical locdbg
      integer char, charf, first, last

      character*125 blanmx
      parameter (blanmx=
     .'                                                              '//
     .'                                                               ')

* begin: 
      locdbg =.true.
      locdbg =.false.
      call sizstr (Istring, first, last)
      newlen = last -first + 1

      if(locdbg) then
          write(6,'(3a)')
     .' debug_rmvblk> input string :"',Istring(1:last),'"'
      end if

      Ostring = blanmx
      charf = 0

      if(newlen.gt.0) then

        do char =first,last
         if(Istring(char:char).ne.' ') then
            charf = charf + 1
            Ostring(charf:charf)= Istring(char:char)
         end if
        end do

        newlen = charf

      else
         write(6,'(a)')' warning_RMVBLK> string empty'
      end if

      if(locdbg) then
          write(6,'(3a)')
     .' debug_rmvblk> output string :"',Ostring(1:newlen),'"'
      end if

* end of routine RMVBLK
      return
      end
