      subroutine SIZSTR (string, first, last)
* -------------------------------------------------------------------- *
*
* Comments: returns first and last non blank character
*
* author:F.Colonna
* date:Tue Sep 22 15:25:28 GMT 1992
* -------------------------------------------------------------------- *
*
      implicit none

* i/o scalars  :
      character*(*) string
      integer first, last
* local   :
      integer is, lenstr
      logical found, max

* begin   :
      found = .false.

      lenstr = len(string)

      if(lenstr.eq.0) then
          write(6,'(a)')
     .'   error_sizstr> zero length string'
          stop '   error_sizstr> zero length  string'
      end if

      max = .false.
      is = lenstr

* search not blank from end.
      do while (.not.found.and..not.max)
           last = is
           found = string(is:is) .ne. ' '
           is = is - 1
           max = is .eq. 0
      end do

      if(max) then
          if(.not.found) then
            write(6,'(a)')
     .    ' warning_sizstr> empty string'
            first = 1
            last  = 0
            string = ' '
          else
            first = 1
            last  = 1
          end if
          return
      end if

* search not blank from beginning.
      found = .false.
      max = .false.
      is = 1
      do while (.not.found.and..not.max)
           first = is
           found = string(is:is) .ne. ' '
           is = is +1
           max = is .eq. lenstr+1
      end do

      if(max) then
          write(6,'(a)')
     .  ' error_sizstr> strange  string'
          stop ' error_sizstr> strange  string'
      end if

      if(last.lt.first) then
          write(6,'(a,i5)')
     .  ' error_sizstr> first non-blank position=',first,
     .  ' error_sizstr> last  non-blank position=',last
          stop ' error_sizstr> last < first'
      end if

* end of routine SIZSTR
      return
      end
