/**********************************************************************/
/* returns environment variable content                               */
/*                                                                    */
/* author: R. Assaraf, F. Colonna                                     */
/* date: 9 Oct 2001                                                   */
/**********************************************************************/
#include <string.h>
#include <stdlib.h>
#include <stdio.h>

#ifdef UNDERSCORE
#define string_from_env_c string_from_env_c_
#endif

void string_from_env_c ( char env_var_value[], /* value of environment variable (output) */
                         char env_var_name[],  /* name of environment variable (input) */
                         long int *length )
{
 char *varpnt;              /* pointer to environment variable */
   
  if ((varpnt = getenv(env_var_name))== NULL)
    { *length=0;
    strcpy(env_var_value,"");
    }
  else
    {
      strcpy(env_var_value, varpnt);
      *length=strlen(env_var_value);
    }
/*  printf("string_from_env_c:%s=%s %i\n",env_var_name,  env_var_value, *length);*/
}




