die "Usage:\n perl $0 *.f90" if $#ARGV < 0 ;

$debug = 1;

# scan fortran file
foreach $f90file (@ARGV){
	$savfil = $f90file.".sav";
	rename $f90file, $savfil;

	print " diff $savfil $f90file\n";

	open(INP, "<$savfil");
	open(OUT, ">$f90file");

	while(<INP>){

		if(/^  integer\s*\(i4b\)\, save \:\: iteration \=/){
			$delete=1;
		}
		elsif(/^  integer\s*\(i4b\)\, save \:\: routine_index/){
			$delete=1;
		}
		elsif(/^\s+routine_index = routine_cur_index ()/){
			$delete=1;
		}
		elsif(/^\s*$/ && $delete){
			$delete=0
			}
		else{
		print OUT ;
		}
	}
   close INP;
   close OUT;
}
