die "Usage : perl $0 *.f90 (to be run twice)\n" if $#ARGV < 0 ;

foreach $reffil (@ARGV){
	($newfil=$reffil) =~ s/\.\w+/.sav/;
	print " transforms $reffil\n";
	print " save in    $newfil\n";
	print " diff $newfil $reffil\n";

	rename $reffil, $newfil;

	open(INP, "<$newfil");
	open(OUT, ">$reffil");

	foreach (<INP>){
		if	(($subname,$arg)=($_ =~ /^\s*subroutine\s*(\S+)(?:\s)?\((.*)\)/)){
			$arg=~ s/(\w+,)(\S)/$1 $2/g;
			print OUT "  subroutine $subname ($arg)\n";
		}
		elsif	(($subname,$arg,$amp)=($_ =~ /^\s*function\s*(\S+)(?:\s)?\((.*)\)\s*(.?)/)){
			$arg=~ s/(\w+,)(\S)/$1 $2/g;
			print OUT "  function $subname ($arg) $amp\n";
		}
		else{
			print OUT ;
		}
	}
	close INP;
	close OUT;
}
exit;
