die "Usage : perl $0 files (to be run twice)\n" if $#ARGV < 0 ;

use File::Basename;

foreach $reffil (@ARGV){
	($name, $path, $suffix) = fileparse($reffil,'.\w+');

	if($suffix){($savfil=$reffil) =~ s/$suffix/.sav/;}
	else{$savfil=$reffil.".sav";}

	print " transforms $reffil\n";
	print " save in    $savfil\n";
	print " diff $savfil $reffil\n";
	print " suffix     $suffix \n";

	if($suffix eq ".f95"){
		rename $reffil, $savfil;

		open(INP, "<$savfil");
		open(OUT, ">$reffil");

		foreach (<INP>){
			if	(/^\!\s*begin\s*:/...(/^\s*end\s*subroutine/ || /^\s*end\s*function/)){
				if (/^\s*\!/ || /=\'/ || /write/ || /read/){
				}
				else{
					s/(\S+)=/$1 =/g;
					s/=(\S+)/= $1/g;
					#s/(\S+)\(/$1 (/g;
					#s/\)(\S+)/) $1/g;
					#s/\,(\S+)/, $1/g;
					#s/\) %/)%/g;
					s/ = = / == /g;
					s/ \/ = / \/= /g;
					s/ \< = / \<= /g;
					s/ \> = / \>= /g;
					s/ = \>/ =\> /g;
					s/^\s*end\s*subroutine\s*(\S+)/  end subroutine $1/;
				}
				print OUT;
			}
			else{print OUT}
			}

			close INP;
			close OUT;
		}
		else{
		}
}
exit;
