die "Usage : perl $0 *.f90 (to be run twice)\n" if $#ARGV < 0 ;

foreach $reffil (@ARGV){
	if(/\.\w+/){($newfil=$reffil) =~ s/\.\w+/.sav/;}
	else{$newfil=$reffil.".".sav;}
	print " transforms $reffil\n";
	print " save in    $newfil\n";
	print " diff $newfil $reffil\n";

	rename $reffil, $newfil;

	open(INP, "<$newfil");
	open(OUT, ">$reffil");

	foreach (<INP>){
		if	(/^\s*implicit\s*none/...(/^\s*end\s*subroutine/ || /^\s*end\s*function/)){
			s/(\w+,)(\S)/$1 $2/g;
			s/(\w+)=/$1 =/g;
			s/=(\w+)/= $1/g;
			print OUT ;
		}
		else{print OUT}
	}
	close INP;
	close OUT;
}
exit;
