#!/usr/bin/perl

my($input) = @ARGV[0];

open (INP,"<$input") or die;

while(<INP>)
{
    chomp $_;
    if($_ ne "")
    {
	push(@data, $_);
    }
}

close(INP);

my($cur_line) = 0;

command_bld ();


sub command_bld
{
#    my($cur_line) = $_[0];
    
    my($line)  = @data[$cur_line]; #my($line) = $lines[$cur_line];
 
    my($command) = extract_command($line);
    
    print "$command     ! command\n";
    
    while ($line !~ m/end\_$command/i)
    {
	$cur_line = $cur_line + 1;
	
	$line = @data[$cur_line];
	
	if (is_token_equal_value($line) eq "true")
	{
	    print "\tCUR_LINE: $cur_line\t$line       ! token = value \n"
	}

	elsif (is_command($line) eq "true")
	{
	    command_bld ();
	}
	
    }
    
    print "\tCUR_LINE: $cur_line\t$line    !end command \n";
}

sub is_token_equal_value
{
    my($string) = $_[0];

    my($value)  = ();
    
    if( ($string =~ m/\=/i) && ($string !~ m/end\_/i) )
    {
	$value = "true";
    }
    else
    {
	$value = "false";
    }

    return $value;
}

sub is_command 
{
    my($string) = $_[0];

    my($value)  = ();
    
    if( ($string !~ m/\=/i) && ($string !~ m/end\_/i) )
    {
	$value = "true";
    }
    else
    {
	$value = "false";
    }

    return $value;
}

sub extract_command
{
    my($string) = $_[0];

    my($test) = is_command($string);

    if($test eq "false")
    {
	print "\n";
	print "$string is not a command, $string, exiting...\n";
	print "\n";
    }
	#print "end of command $command cur_line =$line\n";

    $string =~ m/([a-z]+[a-z0-9\-\_]+)/i;

    my($command) = $1;
    
    return $command;
}

sub extract_token_value
{
    my($string) = $_[0];

    my($test) = is_command($string);

    if($test eq "false")
    {
	print "\n";
	print "$string is not a command, $string, exiting...\n";
	print "\n";
    }

    $alpha_numeric = "[a-z]+[a-z0-9\\-\\_]+";

    print "ALPHA: $alpha_numeric\n";

    $string =~ m/($alpha_numeric)\s+\=\s+($alpha_numeric)/i;

    my($token) = $1;
    my($value) = $2;

    return $token, $value;
}
