#! /usr/bin/perl

$file        = @ARGV[0];
$type        = @ARGV[1];
$html_header = @ARGV[2];
$html_footer = @ARGV[3];

# parse list of atoms
open(LIST,"$file") or die "cannot open list file\n";
@array = <LIST>;
close(LIST);

#parse html header
open(HEADER,"$html_header") or die "cannot open html header file\n";
@header_array = <HEADER>;
close(HEADER);

#parse html footer
open(FOOTER,"$html_footer") or die "cannot open html footer file\n";
@footer_array = <FOOTER>;
close(FOOTER);


foreach $item (@array)
{
    chomp $item;

    $item     =~ m/([a-z]+)\-/i;
    $element  = $1;
    $file_out = $element . "-" . $type . ".html";

    print "FILE_OUT: $file_out\n";

    open(OUT, ">$file_out") or die "cannot create out put file\n";

    foreach $header_line (@header_array)
    {
	chomp $header_line;

	$line = $header_line;

	if($header_line =~ m/REPLACE_ELEM/i)
	{
	    $line =~ s/REPLACE_ELEM/$element/ig;
	    print OUT "$line\n";
	}

	else
	{
	    print OUT "$header_line\n";
	}
    }

    open(ITEM, "$item") or die "cannot open $item file\n";
    
    while(<ITEM>)
    {
	chomp $_;
	print OUT "$_\n";
    }

    close(ITEM);

    foreach $footer_line (@footer_array)
    {
	chomp $footer_line;
	print OUT "$footer_line\n";
    }    


    close(OUT);
}


