#! /usr/bin/perl

use gnuplot_parser;

$file = @ARGV[0];

my($GNUPLOT)  = gnuplot_parser->GNUPLOT($file);

my($size) = $GNUPLOT->{parameter_number};

for($i=0;$i<$size; $i++)
{
    $label = $GNUPLOT->{parameter_label}->[$i];

    $label =~ m/([a-z])(\d+)/i;

    $number = $2;

    $label =~ m/([a-z]\d+)/i;

    $name = $1;

    if($number%2 == 0 )
    {
	push(@exp_val, $GNUPLOT->{parameter_value}->[$i]);
	push(@exp_label, $name);
    }
    
    else
    {
	push(@coeff_val, $GNUPLOT->{parameter_value}->[$i]);
	push(@coeff_label, $name);
    }

}

open(OUT, ">exp.dat") or die "cannot create output file\n";

for($i=0; $i < @exp_val; $i++)
{
    printf OUT "%15.10f\n", @exp_val[$i];
}

close(OUT);


open(OUT, ">linear.dat") or die "cannot create output file\n";

for($i=0; $i < @coeff_val; $i++)
{
    printf OUT "%15.10f\n", @coeff_val[$i];
}

close(OUT);
