set terminal postscript eps enhanced
set logscale y
set grid
set output "chi2_error.ps"
set xlabel "Number of contracted Gaussian functions (N)"
show xlabel
set ylabel "Error [ log({/Symbol c}^2) ]"
show ylabel
set pointsize 1.3
set xrange [0.5:15.5]
set key box lt 1
#
plot "chi2-1s.dat" w l t "" lt 1, "chi2-1s.dat" w p t "1s" 6, "chi2-2p.dat" w l t "" lt 1, "chi2-2p.dat" w p t "2p" 7, "chi2-3d.dat" w l t "" lt 1, "chi2-3d.dat" w p t "3d" 8, "chi2-4f.dat" w l t "" lt 1, "chi2-4f.dat" w p t "4f" 9, "chi2-5g.dat" w l t "" lt 1, "chi2-5g.dat" w p t "5g" 4
#
show output
