FIT_LIMIT   = 1e-10          
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 16.0 * 2**(0.75) / ( 105.0**(0.5) * Pi**(0.25) )

a1              = 0.207264
a3              = 0.301432
a5              = 0.293068
a7              = 0.164266
a9              = 0.0411634
a11             = 0.00263679
a13             = 0.104684
a15             = 0.0412273
a17             = 0.0130895
a19             = 0.00338109
a21             = 0.000696725
a23             = 0.000107025
a25             = 1.00775e-05
a2              = 0.175827
a4              = 0.11363
a6              = 0.0747621
a8              = 0.0497511
a10             = 0.033148
a12             = 0.0215791
a14             = 0.278624
a16             = 0.455164
a18             = 0.773237
a20             = 1.38363
a22             = 2.66376
a24             = 5.74962
a26             = 15.5084

f1(x)  =  a1  * N * ( a2  )**(2.25) * x**4 * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(2.25) * x**4 * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(2.25) * x**4 * exp(-(a6  * x**2))
f4(x)  =  a7  * N * ( a8  )**(2.25) * x**4 * exp(-(a8  * x**2))
f5(x)  =  a9  * N * ( a10 )**(2.25) * x**4 * exp(-(a10 * x**2))
f6(x)  =  a11 * N * ( a12 )**(2.25) * x**4 * exp(-(a12 * x**2))
f7(x)  =  a13 * N * ( a14 )**(2.25) * x**4 * exp(-(a14 * x**2))
f8(x)  =  a15 * N * ( a16 )**(2.25) * x**4 * exp(-(a16 * x**2))
f9(x)  =  a17 * N * ( a18 )**(2.25) * x**4 * exp(-(a18 * x**2))
f10(x) =  a19 * N * ( a20 )**(2.25) * x**4 * exp(-(a20 * x**2))
f11(x) =  a21 * N * ( a22 )**(2.25) * x**4 * exp(-(a22 * x**2))
f12(x) =  a23 * N * ( a24 )**(2.25) * x**4 * exp(-(a24 * x**2))
f13(x) =  a25 * N * ( a26 )**(2.25) * x**4 * exp(-(a26 * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x) + f5(x) + f6(x) + f7(x) + f8(x) + f9(x) + f10(x) + f11(x) + f12(x) + f13(x)

fit fit_gto(x) "sto-4f.dat" using 1:2 via a1, a3, a5, a7, a9,  a11, a13, a15, a17, a19, a21, a23, a25, a2, a4, a6, a8, a10, a12, a14, a16, a18, a20, a22, a24, a26
