# constants
FIT_LIMIT   = 1e-10              # fitting tolerance
FIT_MAXITER = 0                  # no limit for number of iterations
pi          = acos(-1.0)         # value of pi
N           = (2.0/pi)**(0.75)   # 1s normalization constant

# sto-6g exponent parameters - pople

a1 = 1.0000

# sto-6g linear parameters - pople

a2 = 0.2709498091

f1(x)   =  a1  * N * ( a2  )**(0.75) * x * exp(-a2  * x**2)

fit_gto(x) = f1(x)

fit fit_gto(x) "sto-1s.dat" using 1:2 via a2
