FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 4 * 2**(0.75) / ( 3**(0.5) * Pi**(0.25) )

		a2 =    0.4323908358
		a1 =    0.4522627513

		a4 =    0.1069439065
		a3 =    0.6713122642

f1(x)  =  a1  * N * ( a2  )**(1.25) * x**2 * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(1.25) * x**2 * exp(-(a4  * x**2))

fit_gto(x) = f1(x) + f2(x)

fit fit_gto(x) "sto-2p.dat" using 1:2 via a2, a4, a1, a3

