FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 2.0 * 2.0**(0.75) / Pi**(0.25) 

a1    =   -0.1529645716
a2    =    0.6694095822
a3    =    1.0513701100
a4    =    0.0583713509

f1(x)  =  a1  * N * ( a2  )**(0.75) * x * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(0.75) * x * exp(-(a4  * x**2))

fit_gto(x) = f1(x) + f2(x)

fit fit_gto(x) "sto-3s.dat" using 1:2 via a1, a3, a2, a4
