FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 8.0 * 2**(0.75) / ( 15.0**(0.5) * Pi**(0.25) )

                a2  =    0.5229112225
                a1  =    0.1686596060

                a4  =    0.1639595876
                a3  =    0.5847984817

                a6  =    0.0638663002
                a5  =    0.4056779523

f1(x)  =  a1  * N * ( a2  )**(1.75) * x**3 * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(1.75) * x**3 * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(1.75) * x**3 * exp(-(a6  * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x)

fit fit_gto(x) "sto-3d.dat" using 1:2 via a1, a3, a5, a2, a4, a6

