FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 2.0 * 2.0**(0.75) / Pi**(0.25) 

		a2 =    0.5641487709
		a1 =   -0.1782577972

		a4 =    0.0692442139
		a3 =    0.8612761663

		a6 =    0.0326952910
		a5 =    0.2261841969

f1(x)  =  a1  * N * ( a2  )**(0.75) * x * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(0.75) * x * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(0.75) * x * exp(-(a6  * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x)

fit fit_gto(x) "sto-3s.dat" using 1:2 via a1, a3, a5, a2, a4, a6
