FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 4 * 2**(0.75) / ( 3**(0.5) * Pi**(0.25) )

		a2 =    1.7982609920
		a1 =    0.0571317025
		a4 =    0.4662622228
		a3 =    0.2857455515
		a6 =    0.1643718620
		a5 =    0.5517873105
		a8 =    0.0654392707
		a7 =    0.2632314924

f1(x)  =  a1  * N * ( a2  )**(1.25) * x**2 * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(1.25) * x**2 * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(1.25) * x**2 * exp(-(a6  * x**2))
f4(x)  =  a7  * N * ( a8  )**(1.25) * x**2 * exp(-(a8  * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x)

fit fit_gto(x) "sto-2p.dat" using 1:2 via a2, a4, a6, a8, a1, a3, a5, a7

