FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 8.0 * 2**(0.75) / ( 15.0**(0.5) * Pi**(0.25) )

                a2  =    0.9185846715
                a1  =    0.0579905770
                a4  =    0.2920461109
                a3  =    0.3045581349
                a6  =    0.1187568890
                a5  =    0.5601358038
                a8  =    0.0528675590
                a7  =    0.2432423313

f1(x)  =  a1  * N * ( a2  )**(1.75) * x**3 * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(1.75) * x**3 * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(1.75) * x**3 * exp(-(a6  * x**2))
f4(x)  =  a7  * N * ( a8  )**(1.75) * x**3 * exp(-(a8  * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x)

fit fit_gto(x) "sto-3d.dat" using 1:2 via a1, a3, a5, a7, a2, a4, a6, a8

