FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 4 * 2**(0.75) / ( 3**(0.5) * Pi**(0.25) )

		a2  =    3.3203865330
		a1  =    0.0207905112
		a4  =    0.8643257633
		a3  =    0.1235472099
		a6  =    0.3079819284
		a5  =    0.3667738886
		a8  =    0.1273309895
		a7  =    0.4834930290
		a10 =    0.0560624316
		a9  =    0.1653444074

f1(x)  =  a1  * N * ( a2  )**(1.25) * x**2 * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(1.25) * x**2 * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(1.25) * x**2 * exp(-(a6  * x**2))
f4(x)  =  a7  * N * ( a8  )**(1.25) * x**2 * exp(-(a8  * x**2))
f5(x)  =  a9  * N * ( a10 )**(1.25) * x**2 * exp(-(a10 * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x) + f5(x)

fit fit_gto(x) "sto-2p.dat" using 1:2 via a2, a4, a6, a8, a10, a1, a3, a5, a7, a9

