FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 2.0 * 2.0**(0.75) / Pi**(0.25) 

a1              = 0.095507         # +/- 0.0003284    (0.3439%)
a3              = 0.532939         # +/- 0.0003232    (0.06065%)
a5              = 0.504389         # +/- 0.0005665    (0.1123%)
a7              = -0.145694        # +/- 0.0001015    (0.06966%)
a9              = -0.0665181       # +/- 9.35e-05     (0.1406%)
a11             = -0.0140315       # +/- 5.236e-05    (0.3732%)
a13             = -0.00138087      # +/- 9.429e-06    (0.6828%)
a2              = 0.0286214        # +/- 1.878e-05    (0.06561%)
a4              = 0.0504059        # +/- 2.957e-05    (0.05866%)
a6              = 0.0895624        # +/- 3.451e-05    (0.03853%)
a8              = 0.333115         # +/- 0.0001964    (0.05895%)
a10             = 0.737414         # +/- 0.0009839    (0.1334%)
a12             = 1.91455          # +/- 0.004247     (0.2218%)
a14             = 6.84278          # +/- 0.02483      (0.3629%)


f1(x)  =  a1  * N * ( a2  )**(0.75) * x * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(0.75) * x * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(0.75) * x * exp(-(a6  * x**2))
f4(x)  =  a7  * N * ( a8  )**(0.75) * x * exp(-(a8  * x**2))
f5(x)  =  a9  * N * ( a10 )**(0.75) * x * exp(-(a10 * x**2))
f6(x)  =  a11 * N * ( a12 )**(0.75) * x * exp(-(a12 * x**2))
f7(x)  =  a13 * N * ( a14 )**(0.75) * x * exp(-(a14 * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x) + f5(x) + f6(x) + f7(x)

fit fit_gto(x) "sto-3s.dat" using 1:2 via a1, a3, a5, a7, a9,  a11, a13, a2, a4, a6, a8, a10, a12, a14
