FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           = 16.0 * 2**(0.75) / ( 105.0**(0.5) * Pi**(0.25) )

a1              = 0.00903107       # +/- 2.561e-05    (0.2835%)
a3              = 0.052946         # +/- 3.318e-05    (0.06266%)
a5              = 0.224013         # +/- 3.396e-05    (0.01516%)
a7              = 0.437412         # +/- 3.756e-05    (0.008586%)
a9              = 0.371673         # +/- 3.229e-05    (0.008688%)
a11             = 0.0751982        # +/- 1.645e-05    (0.02187%)
a13             = 0.00277369       # +/- 1.132e-05    (0.4083%)

a2              = 0.854264         # +/- 0.005915     (0.6924%)
a4              = 0.482419         # +/- 0.0004823    (0.09997%)
a6              = 0.227875         # +/- 5.63e-05     (0.02471%)
a8              = 0.11695          # +/- 1.643e-05    (0.01405%)
a10             = 0.0634149        # +/- 9.675e-06    (0.01526%)
a12             = 0.0342232        # +/- 2.071e-05    (0.0605%)
a14             = 2.01517          # +/- 0.01606      (0.7971%)

f1(x)  =  a1  * N * ( a2  )**(2.25) * x**4 * exp(-(a2  * x**2))
f2(x)  =  a3  * N * ( a4  )**(2.25) * x**4 * exp(-(a4  * x**2))
f3(x)  =  a5  * N * ( a6  )**(2.25) * x**4 * exp(-(a6  * x**2))
f4(x)  =  a7  * N * ( a8  )**(2.25) * x**4 * exp(-(a8  * x**2))
f5(x)  =  a9  * N * ( a10 )**(2.25) * x**4 * exp(-(a10 * x**2))
f6(x)  =  a11 * N * ( a12 )**(2.25) * x**4 * exp(-(a12 * x**2))
f7(x)  =  a13 * N * ( a14 )**(2.25) * x**4 * exp(-(a14 * x**2))

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x) + f5(x) + f6(x) + f7(x)

fit fit_gto(x) "sto-4f.dat" using 1:2 via a1, a3, a5, a7, a9,  a11, a13, a2, a4, a6, a8, a10, a12, a14

#fit fit_gto(x) "sto-4f.dat" using 1:2 via a2, a4, a6, a8, a10, a12, a14
#fit fit_gto(x) "sto-4f.dat" using 1:2 via a1, a3, a5, a7, a9,  a11, a13
