FIT_LIMIT   = 1e-10           
FIT_MAXITER = 0    
Pi          = acos(-1.0)
N           =  (2.0/Pi)**(0.75) 

sto(x) =  1.0 / (Pi * 3.0)**(0.5) * x**2 * exp(-x) * 2 * Pi**(0.5)

a1              = -0.000464114     # +/- 3.05e-06     (0.6573%)
a3              = -0.00256862      # +/- 1.149e-05    (0.4473%)
a5              = -0.0095252       # +/- 2.881e-05    (0.3025%)
a7              = -0.0256948       # +/- 3.626e-05    (0.1411%)
a9              = -0.0430517       # +/- 4.689e-05    (0.1089%)
a11             = 0.209201         # +/- 0.0004819    (0.2304%)
a13             = 0.462371         # +/- 0.0004935    (0.1067%)
a15             = 0.344449         # +/- 0.0006249    (0.1814%)
a17             = 0.0568986        # +/- 0.0003316    (0.5829%)
a2              = 162.681          # +/- 0.9787       (0.6016%)
a4              = 29.8313          # +/- 0.1177       (0.3946%)
a6              = 8.35492          # +/- 0.02452      (0.2935%)
a8              = 2.88422          # +/- 0.005824     (0.2019%)
a10             = 1.1404           # +/- 0.001137     (0.09967%)
a12             = 0.23852          # +/- 0.0001706    (0.07152%)
a14             = 0.121624         # +/- 0.0001322    (0.1087%)
a16             = 0.0649032        # +/- 7.831e-05    (0.1207%)
a18             = 0.0349368        # +/- 4.103e-05    (0.1174%)

f1(x)  =  a1  * N * ( a2  )**(0.75) * x * exp(-(a2  * x**2)) * 2 * Pi**(0.5)
f2(x)  =  a3  * N * ( a4  )**(0.75) * x * exp(-(a4  * x**2)) * 2 * Pi**(0.5)
f3(x)  =  a5  * N * ( a6  )**(0.75) * x * exp(-(a6  * x**2)) * 2 * Pi**(0.5)
f4(x)  =  a7  * N * ( a8  )**(0.75) * x * exp(-(a8  * x**2)) * 2 * Pi**(0.5)
f5(x)  =  a9  * N * ( a10 )**(0.75) * x * exp(-(a10 * x**2)) * 2 * Pi**(0.5)
f6(x)  =  a11 * N * ( a12 )**(0.75) * x * exp(-(a12 * x**2)) * 2 * Pi**(0.5)
f7(x)  =  a13 * N * ( a14 )**(0.75) * x * exp(-(a14 * x**2)) * 2 * Pi**(0.5)
f8(x)  =  a15 * N * ( a16 )**(0.75) * x * exp(-(a16 * x**2)) * 2 * Pi**(0.5)
f9(x)  =  a17 * N * ( a18 )**(0.75) * x * exp(-(a18 * x**2)) * 2 * Pi**(0.5)

fit_gto(x) = f1(x) + f2(x) + f3(x) + f4(x) + f5(x) + f6(x) + f7(x) + f8(x) + f9(x)

fit fit_gto(x) "sto-2s.dat" using 1:2 via a1, a3, a5, a7, a9,  a11, a13, a15, a17, a2, a4, a6, a8, a10, a12, a14, a16, a18
