* ==================================================================== *
      function ARRMIN (array, nbelem)
* -------------------------------------------------------------------- *
*
* Comments: index of smallest element in an array
*
* author:F.Colonna date  :21 Dec 91
* -------------------------------------------------------------------- *
*
      implicit none
* includes:
* input scalars:
      integer nbelem

* input  arrays:
      double precision array(nbelem)

* output function:
      integer ARRMIN

* local scalars:
      integer elem
      double precision min

* begin: 
      if(nbelem.eq.0) then
          write(6,'(//a)')
     .'   error_ARRMIN> array has zero elements  '
          stop ' error_ARRMIN> array has zero elements'
      end if

      min = array(1)
      arrmin = 1
      if(nbelem.ge.2) then
         do elem   = 2, nbelem
               array(elem)=array(elem)           
            if(array(elem).lt.min) then 
               arrmin = elem
               min =   array(elem)
            end if
         end do
      end if
 
* end of routine  ARRMIN
      return
      end
