      subroutine ERFRML(nummsg,info,i)
C******************************************************************************
C     Input  : nummsg ---> number of error message
C              info   ---> info
C              i      ---> where an error has occured in formula
C
C     Output : None
C******************************************************************************
      implicit none

      integer nummsg
      integer i
      character*(*) info
      character*47 msgerror(10)
      data msgerror 
     . / ' Missing right or extra left parenthesis       ',
     &   ' Missing left or extra right parenthesis       ',
     &   ' Missing operand or extra operateur            ',
     &   ' Invalid unary operateur (Must have 3 letters) ',
     &   ' Missing left parenthesis after unary operateur',
     &   ' Unknown operateur : check the formula         ',
     &   ' Unknown variable : Wrong name or not set      ',
     &   ' Invalid operand for this operateur            ',
     &   ' --------------------------------------------- ',
     &   '                                               '/

*         123456789 123456789 1234567890 123456789 123456789 1234567890

      write(*,'(/,a7,a47,/,/,80a,a3,80a)')
     &     'Error :',msgerror(nummsg),info(1:i-1),'^^^',
     &             info(i:len(info))
      stop ' error_ERFRML> Error in formula'
      end
