! -*- f90 -*-
 module func_mod
 use basic_types_tools_mod
 use objects_paths_mod
 implicit none
 type (real_1_type), pointer :: real_1_targets_aliases  => NULL ()   
 integer(dpi), pointer :: func_roots_ind (:) => NULL ()
 integer(dpi)          :: func_target_ind 
 integer(dpi), pointer :: func_path (:) => NULL ()

 integer(dpi), pointer     :: real_variables (:) => NULL ()
 character(len=max_string_len), pointer :: list_names (:) => NULL()

contains 

  subroutine real_variables_print
    use objects_mod
    implicit none
    character(len=max_string_len_routine_name), save :: l_here
    integer(dpi) :: i 
    
    do i= 1, size (real_variables)
       call object_value_byind_print (real_variables (i))
    enddo
    call objects_write (real_variables, size (real_variables))
  end subroutine real_variables_print
 

  subroutine list_names_print
    use objects_mod
    implicit none
    character(len=max_string_len_routine_name), save :: l_here
    integer(dpi) :: i, index 
    l_here='list_names_print'
    call enter(l_here)  
    
    if (associated (list_names)) then
       do i= 1, size (list_names)
          index = object_index(list_names(i))
          call provide_byind (index)
          call object_value_byind_print (index)
       enddo
    else
!       write (logf,*) trim(l_here), ': list_names not associated'
    endif
  
  call exit(l_here)
  end subroutine list_names_print

 end module func_mod
