* ==================================================================== *
      subroutine INISMPLX (MOLPROENE,
     .                     smpver,
     .                     varjump,   !. intial jumps
     .                     smpval,   !. nbvaro+1 values at each vertic row
     .                     vroval,
     .                     nbvert,
     .                     nbvaro)

* -------------------------------------------------------------------- *
*
* Comments: Simplex  intialization  for Elf
*
* author:FCC
* done on 02 Fev 95
* -------------------------------------------------------------------- *
*
      implicit none
* includes:

* input scalars:
      integer nbvaro, nbvert

* input arrays:
      double precision smpver(nbvert, nbvaro)
      double precision smpval(nbvert)
      double precision vroval(nbvaro)
      double precision varjump(nbvaro)

* local function:
      double precision MOLPROENE

* local scalars:
      integer varopt, vertex
      double precision value
* begin:

      smpval (1) = MOLPROENE (vroval, nbvaro)

      do varopt=1,nbvaro
         do vertex=1, nbvert
            smpver (vertex, varopt) =  vroval (varopt)
         end do
      end do

* initial vertices and function:

      do varopt=1,nbvaro

         vertex = varopt + 1
         value  = vroval (varopt)
         smpver(vertex, varopt) =  value + varjump(varopt)
         vroval(varopt) = value + varjump(varopt)
         smpval(vertex) = MOLPROENE (vroval, nbvaro)
         vroval(varopt) = value

      end do

* end of routine INISMPLX
      return
      end
