die "Usage:\n perl $0 *.f90" if $#ARGV < 0 ;

$debug = 1;

# scan fortran file
foreach $f90file (@ARGV){
	$savfil = $f90file.".sav";
	rename $f90file, $savfil;

	print " diff $savfil $f90file\n";

	open(INP, "<$savfil");
	open(OUT, ">$f90file");

	while(<INP>){

		if(/^  integer\(i4b\)\, save \:\: iteration \= 0/){
			s/iteration \= 0/iteration \= NOT_INIT_I/;
		}
		print OUT ;
	}
   close INP;
   close OUT;
}
