foreach $n (@ARGV){
print "! =======================================================================\n";
print "  subroutine real_${n}_alias_byaddr_bld (alias, addr_obj)\n";
print "! -----------------------------------------------------------------------\n";
print "!\n";
print "! Name           : real_${n}_alias_byaddr_bld\n";
print "!\n";
print "! Argument (in ) : addr_obj\n";
print "! Argument (out) : alias\n";
print "!\n";
print "! Description    : builds the object alias from the address addr_obj\n";
print "! Description    : alias => real_${n}_alias\n";
print "!\n";
print "! Authors: R. Assaraf\n";
print "! Date  : 17 May 2001\n";
print "! -----------------------------------------------------------------------\n";
print "  implicit none\n";
print " \n";
print "! i/o:\n";
print "  type(real_${n}), pointer :: alias\n";
print "  integer(i4b)          :: addr_obj\n";
print " \n";
print "! local:\n";
print "  character(len=max_string_len_routine_name) :: l_here \n";
print "\n";
print "! begin:\n";
print "  l_here = 'real_${n}_alias_byadr_bld'\n";
print "  call enter(l_here)\n";
print "\n";
print "  call exe_by_address_1 (address (real_${n}_alias_bld), addr_obj)\n";
print "  alias => real_${n}_alias\n";
print "\n";
print "  call exit(l_here)\n";
print "\n";
print "  end subroutine real_${n}_alias_byaddr_bld\n";
print "\n";
}
