#!/usr/bin/perl 
# Comm: align border lines in routines headers
die "Usage :\n perl $0 *.f90 \n" if $#ARGV < 0 ;

foreach $inpfil (@ARGV){

$savfil=$inpfil.".sav";
print " transforms ",$inpfil,"\n";
print " save in    ",$savfil,"\n";
print " diff $savfil $inpfil \n";

open(INP, "<$inpfil");
open(SAV, ">$savfil");

@FILE="";
$maxl=0;
$nline=0;
while(<INP>){
push @FILE,$_;
	print SAV;
	$nline++;
	if(/^\!\s*===/ ... /implicit none/){ 
		s/\s*$//g;
		if($_ !~ /===/ && $_ !~ /---/){
			if($maxl< length($_)){
				$maxl=length($_);
				$line=$nline;
			}
		}
	}
}

if ($maxl < 72 ){$maxl=72}

print "$inpfil: line $line max length= $maxl\n";
close INP;
close SAV;
open(INP, ">$inpfil");

foreach (@FILE){
  if(/^\!\s*===/){
	print INP "! ";
	print INP "=" x ($maxl) ;
	print INP "\n";
	}
  elsif(/^\!\s*---/){
	print INP "! ";
	print INP "-" x ($maxl) ;
	print INP "\n";
	}
	else{print INP}
}
}
exit;
