die "Usage : perl $0 *.f90\n" if $#ARGV < 0 ;

foreach $f90file (@ARGV){
	($include=$f90file) =~ s/\.f90/.inc/;
	($savfile=$f90file) =~ s/\.f90/.f90.sav/;
	print " f90 file $f90file\n";
	print " saved in $savfile\n";
	print " include  $include\n";
	print " diff $savfile $f90file \n";

	open(F90, "<$f90file");
	open(INC, ">$include");

	@ALL=<F90>;
  close F90;

	open(SAV, ">$savfile");
	print SAV @ALL;
  close SAV;

	$incl = grep / include \'$include/, @ALL;

	open(F90, ">$f90file");

	foreach (@ALL){

		print F90 ;

		if	(($modname)=($_ =~ /^\s*module\s*(\S+)\s*$/)){
				#print "module $modname\n";
				$temp="";
				$texte="";
		}
		elsif	($_ =~ /^\s*contains\s*/){
				print F90 "\n  include '$include'\n\n" unless ($incl);
		}
		elsif	(($sub,$arg)=($_ =~ /^\s*subroutine\s*(\S+)\s*(.*)\s*$/)){
			$subname=$sub;
			# print "  subroutine $subname \n";
			$types="";
		}
		elsif	(/^\s*!\s*i\/o:/.../^\s*$/){
						if(($t)=($_ =~ /^\s+(\S+)\s+::/)){
							$types .= $t." ";
						}
						elsif(($t)=($_ =~ /^\s+(\S+),.*::/)){
							$types .= $t." ";
						}
		}
		elsif	(/^\s*end\s*subroutine\s*$subname/){
							chop $types;
				if($types =~ /\s/){
			 		printf INC ("%s\"%s\"\, %s\, \"%s\"\)\n",
			 		"  call routines_put_init (",$subname,$subname,$types);
				}
				else{
			 		printf INC ("%s\"%s\"\, %s\)\n",
			 		"  call routines_put_init (",$subname,$subname);
				}
		}
		elsif	(/^!\s*Name/ ... /^! Date/){
				$texte .= $_;
		}
		else{
		}
	}
	close INC;
	close F90;
}
exit;
