#!/usr/bin/perl
die "Usage:\n perl $0 files
extracts routine information and produces *.hdr files" if $#ARGV < 0 ;

foreach $reffil (@ARGV){
	$outfil=$reffil.".hdr";
	print " $outfil\n";

	open(INP, "<$reffil");
	open(OUT, ">$outfil");

	$decl ='^\s*character|^\s*logical|^\s*integer|^\s*real';
	$comm ="Description|Argument|Comments|Creates|author|date";

	@Liste="";
	foreach (<INP>){
		if($_ =~ /^\s*module/ ... /^\s*contains/){push @List,$_}
		elsif($_ =~ /^!\s*\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=/){push @List,$_}
		elsif($_ =~ /^\s*subroutine|^\s*function/ ... /^! begin:/){push @List,$_}
	}
	foreach (@List){
		s/! begin:/ /;
		print OUT;
	}

close OUT;
close INP;
}

exit;
