die "Usage : perl ~/PERL/a.pl  \n" if $#ARGV < 0 ;

$reffil=shift(@ARGV);
$newfil=$reffil.".sav";

print " transforms ",$reffil,"\n";
print " save in    ",$newfil,"\n";
print " diff $newfil $reffil\n";

rename $reffil, $newfil;
open(INP, "<$newfil");
open(OUT, ">$reffil");

@Tout=<INP>;
foreach $l (@Tout){
	if($l =~ /^\s*subroutine\s*(\S+)\s*\n/){
	($s) = ($l =~ /^\s*subroutine\s*(\S+)\s*\n/);
	}
	elsif($l =~ /^\s*subroutine\s*(\S+)\s*\(/){
	($s) = ($l =~ /^\s*subroutine\s*(\S+)\s*\(/);
	}
	elsif($l =~ /^\s*function\s*(\S+)\s*\(.*\)\n/){
	($s) = ($l =~ /^\s*function\s*(\S+)\s*\(/);
	}
 	if ($l =~ /\,\s*dimension\s*\(.*\)\s*::\s*\w+\s*$/){
		($dec, $dim, $nam, $res) = ($l =~ 
   /^(.*)\,\s*dimension(.*)\s*::\s*(\S+)\s*(.*)\n/);
		print $l;
		print "$dec :: $nam$dim $res\n";
		print OUT "$dec :: $nam$dim $res\n";
	}
   elsif ($l =~ /\,\s*dimension\s*\(.*\)\,\s*pointer\s*::\s*\w+\s*$/){
      ($dec, $dim, $nam, $res) = ($l =~
   /^(.*)\,\s*dimension(.*)\,\s*pointer\s*::\s*(\S+)\s*(.*)\n/);
      print $l;
      print "$dec, pointer :: $nam$dim $res\n";
      print OUT "$dec, pointer :: $nam$dim $res\n";
   }
   elsif ($l =~ /\,\s*dimension\s*\(.*\)\,\s*pointer\s*::\s*\w+\s*\,\w+\s*$/){
      ($dec, $dim, $nam, $res1, $res2) = ($l =~
   /^(.*)\,\s*dimension(.*)\,\s*pointer\s*::\s*(\w+)\s*\,(\w+)\s*\n/);
      print $l;
      print "$dec, pointer :: $nam$dim $res1\n";
      print "$dec, pointer :: $nam$dim $res2\n";
      print OUT "$dec, pointer :: $nam$dim $res1\n";
      print OUT "$dec, pointer :: $nam$dim $res2\n";
   }
	else {
		print OUT $l;
	}
}

exit;
