#! /usr/bin/perl

$file = @ARGV[0];

open(FILE,"$file") or die "cannot open file\n";
while(<FILE>)
{
    chomp $_;

    if($_ =~ m/Basis\s+Exponent/)
    {
	$_ =~ s/Basis\s+Exponent/Orbital energy/i;
	
	$_ =~ m/(Orbital energy)/i;
	print "$1               ";
	
	while($_ =~ m/(-\d+\.\d+)/ig)
	{
	    printf "%15.7f",$1;
	}
	
	print "\n";

	print "Basis function      Exponent\n";
    }

    elsif($_ =~ m/([a-z]+)\s+Z\s+\=\s+(\d+)/i)
    {
	$element = ucfirst(lc($1));
	$_ =~ s/([a-z]+)/$element/i;
	
	print "$_\n";
    }

    elsif($_ =~ m/[spdf]\s+[0-9][spdf]/i)
    {
	print "                        ";
	while($_ =~ m/([0-9][spdf])/ig)
	{
	    printf "%15.2s",$1;
	}
	print "\n";
    }

    elsif($_ =~ m/([0-9][a-z])\s+(\d+\.\d+)/i)
    {
	$bas = $1;

	print "$bas            ";
	
	while($_ =~ m/(\d+\.\d+|\-\d+\.\d+)/ig)
	{
	    printf "%15.7f",$1;
	}
	
	print "\n";
    }

    else
    {
	print "$_\n";
    }
}

close(FILE);
