#! /usr/bin/perl

my($file) = @ARGV[0];

open(IN,"$file") or die "cannot open input file\n";

while(<IN>)
{
    chomp $_;

    if( ($_ =~ m/([a-z]+)/i) && ($_ !~ m/\d+/i) && ($_ !~ m/[a-z]+\s+[a-z]+/i) && ($_ !~ m/eof/i) )
    {
	$_ =~ m/([a-z]+)/i;
	
	$element = $1;

	push(@element_array, $1);
    }

    if($_ =~ m/total energy/i)
    {
	$_ =~ m/(-\d+\.\d+)/;
	
	push(@total_energy, $1);
    }
}

close(IN);

my($energy, $label) = bubble_sort(\@total_energy, \@element_array);

my($uniq_label, $uniq_energy) = find_same($label, $energy);

#for($i=0;$i<@$uniq_label; $i++)
#{
#    printf "%20s %15.10f\n",$uniq_label->[$i], $uniq_energy->[$i];
#}
#
#exit;

open(IN,"$file") or die "cannot open input file\n";

while(<IN>)
{
    chomp $_;
    
    foreach $item (@$uniq_energy)
    {
	if($_ =~ m/$item/i)
	{
	    print "State: ground\n";
	    print "\n";
	}
    }

    print "$_\n";
}

close(IN);

sub find_same
{
    my($var)    = @_[0];
    my($energy) = @_[1];

    my(%seen)        = ();
    my(@uniq_label)  = ();
    my($count)       = 0;

    foreach my $item (@$var)
    {
	unless($seen{$item})
	{
	    $seen{$item} =1;
	    push(@uniq_label,$item);
	    push(@uniq_energy, $energy->[$count]);	    
	}

	$count++;
    }

    return \@uniq_label, \@uniq_energy;
}

sub bubble_sort
{
    my($energy)    = @_[0];
    my($label)     = @_[1];

    for($i=0; $i<@$energy-1; $i++)
    {
        for( $j=0; $j<@$energy-($i+1); $j++)
        {
            if( $energy->[$j] > $energy->[$j+1] )
            {
                $temp1          = $energy->[$j+1];
                $energy->[$j+1] = $energy->[$j];
                $energy->[$j]   = $temp1;

		$temp2         = $label->[$j+1];
                $label->[$j+1] = $label->[$j];
                $label->[$j]   = $temp2;
            }
        }
    }

    return $energy, $label;
}
