#! /usr/bin/perl

$file = @ARGV[0];

open(IN,"$file") or die "cannot open input file\n";
while(<IN>)
{
    chomp $_;
    @tmp = split(/\s+/,$_);

    foreach $item (@tmp)
    {
	if($item =~  m/[a-z]+\.[0-9]/i)
	{
	    print "FIXME: $item\n";
	}
	elsif( $item =~ m/[\%\^\&\_\(\)\$\#\*\'\"]+/)
	{
	    print "FIXME: $item\n";
	}
	elsif( ($item =~ m/\d+\.\d+|-\d+\.\d+/i) && ($item !~ m/[a-z]/i))
	{
	    printf "%15.8f ", $item;
	}
	else
	{
	    print " $item ";
	}
    }
    print "\n";
}
