#! /usr/bin/perl

use gnuplot_parser;

$file = @ARGV[0];

my($GNUPLOT)  = gnuplot_parser->GNUPLOT($file);

my($size) = $GNUPLOT->{parameter_number};

for($i=0;$i<$size; $i++)
{
    $label = $GNUPLOT->{parameter_label}->[$i];

    $label =~ m/([a-z])(\d+)/i;

    $number = $2;
    $string = "alpha[$number]:=";
    printf "%15s %25.20f:\n", $string, $GNUPLOT->{parameter_value}->[$i];
}
